Skip to main content
PUT
/
api
/
mcps
/
{server_id}
Update MCP Server
curl --request PUT \
  --url https://api.example.com/api/mcps/{server_id} \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "name": "<string>",
  "command": "<string>",
  "args": [
    "<string>"
  ],
  "env": {},
  "enabled": true
}
'
{
  "id": "<string>",
  "name": "<string>",
  "command": "<string>",
  "args": [
    "<string>"
  ],
  "enabled": true,
  "created_at": "<string>",
  "updated_at": "<string>",
  "env": {}
}

Documentation Index

Fetch the complete documentation index at: https://docs.nx1cloud.com/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

The access token received from the authorization server in the OAuth 2.0 flow.

Path Parameters

server_id
string<uuid>
required

Body

application/json

Pydantic model for MCP server CRUD operations.

name
string
required

Human-readable name for this MCP server.

command
string
required

Executable command, such as npx or node.

args
string[]

Command arguments.

env
Env · object

Environment variables.

enabled
boolean
default:true

Whether this MCP server is active.

Response

Successful Response

Response model for MCP server configs returned from the API.

id
string
required
name
string
required
command
string
required
args
string[]
required
enabled
boolean
required
created_at
string
required
updated_at
string
required
env
Env · object